#ifndef _IR_H
#define _IR_H
unsigned char ir_get_byte( void);
unsigned char ir_to_char( unsigned char ir_code);

#define		IR_AUDIO	0x5A
#define		IR_POWER	0xB8
#define		IR_HELP		0x98
#define		IR_SHIFT	0xCA

#define		IR_LEFT		0xEA
#define		IR_RIGHT	0x9A
#define		IR_UP		0x6A
#define		IR_DOWN		0x7A
#define 	IR_CANCEL	0xBA
#define		IR_SELECT	0xFA
#define		IR_CHGDISP	0xDA

#define		IR_0		0x08
#define		IR_1		0x80
#define		IR_2		0xA0
#define		IR_3		0x90
#define		IR_4		0xB0
#define		IR_5		0x88
#define		IR_6		0x00
#define		IR_7		0x20
#define		IR_8		0x10
#define		IR_9		0x30

#define		IR_A		0x40
#define		IR_B		0x60
#define		IR_C		0x50
#define		IR_D		0x70
#define		IR_E		0x48
#define		IR_F		0xC0
#define		IR_G		0xE0
#define		IR_H		0xD0
#define		IR_I		0xF0
#define		IR_J		0xC8
#define		IR_K		0x02
#define		IR_L		0x22
#define		IR_M		0x12
#define		IR_N		0x32
#define		IR_O		0x0A
#define		IR_P		0x82
#define		IR_Q		0xA2
#define		IR_R		0x92
#define		IR_S		0xB2
#define		IR_T		0x8A
#define		IR_U		0x42
#define		IR_V		0x62
#define		IR_W		0x52
#define		IR_X		0x72
#define		IR_Y		0x4A
#define		IR_Z		0xD2
#define		IR_SPACE	0xC2
#define		IR_INS		0xE2
#define		IR_DEL		0xF2


#endif
