#include <io.h>
#include <timer.h>
#include "my_defs.h"
#include "serial.h"
#include "tools.h"

// Zeitkonstanten in Abhngigkeit der Quarzfrequenz
#define BITSCHWELLE		(40 * F_CPU / 8000000)
#define IRDELAY			(48 * F_CPU / 8000000)


unsigned int get_rc5( void)
{
	unsigned char ir_delay, dummy, dummy1;
	unsigned int tmp=0;

		//zeit fuer 1/2 bit messen
		TIMER8BIT_START;
		while (REMOTE_CLEAR)
		{	if (TIMER8BIT_CNT > BITSCHWELLE) return 0;
		}
//		ir_delay = inp(TCNT0) +3;
		ir_delay = IRDELAY;

		//daten empfangen
		for(dummy=0; dummy < 13; dummy++)
		{
			dummy1 = REMOTE_SET;		//Flanke aufnehmen
			TIMER8BIT_START;
			tmp=tmp << 1;
			while(1)
			{
				if(TIMER8BIT_CNT > ir_delay)	
				{	
//					sendstring("Fehler:");
//					sendstring(byte_to_hex(ir_delay));
//					sendstring(byte_to_hex(dummy));
//					new_line();
					return 0;			//Flanke ist nicht eingetroffen!
				}

				if (dummy1)				//flanke gewechselt ?
				{	if(REMOTE_CLEAR)
					{
						tmp |=1;
						break;
					}
				}
				else
				{	if(REMOTE_SET)
					{
						break;
					}
				}
			}
			TIMER8BIT_START;			//delay
			while(TIMER8BIT_CNT <= ir_delay);
		}
//	sendstring("OK! ");
//	print_short(tmp);
//	new_line();
	return tmp;
}
