#ifndef _RC5_H
#define _RC5_h

unsigned int get_rc5( void);

#define RC5_ADR	0x00
//addresse 0
#define		IR_0			0x00
#define		IR_1			0x01
#define		IR_2			0x02
#define		IR_3			0x03
#define		IR_4			0x04
#define		IR_5			0x05
#define		IR_6			0x06
#define		IR_7			0x07
#define		IR_8			0x08
#define		IR_9			0x09

#define		IR_MUTE			0x0D
#define		IR_POWER		0x0C

#define		IR_VOLUME_UP	0x10
#define		IR_VOLUME_DOWN	0x11

#define		IR_PROG_UP		0x20	/*Play Next*/
#define		IR_PROG_DOWN	0x21	/*Play Prev*/

#define		IR_SAVE			0x22
#define		IR_TEXT			0x3C

#define 	IR_SETNEXT		0x2a
#define 	IR_SETPREV		0x29

#define 	IR_STOP			0x2e
#define 	IR_PLAYNEXT		0x2b

#define 	IR_RESTORE		0x3f
#define 	IR_PAUSE		0x35
#define		IR_SHOWNEXT		0x2C
#define 	IR_10PLUS		0x0a
#define 	IR_20PLUS		0x38

#endif
