#include <io.h>
#include <timer.h>
#include "my_defs.h"
#include "serial.h"
#include "tools.h"
#include "ir.h"


unsigned int get_rc5( void)
{
unsigned char ir_delay;
unsigned char dummy, dummy1;
unsigned char tmp =0;


	timer0_source(CK256);					//update every 8us
	timer0_start();							//Timer auf 0
	loop_until_bit_is_set(PINB, PINB0);		//Warten, bis wieder high
	ir_delay = inp(TCNT0);				// Zeit holen fr 1/2 Bit
	timer0_stop();
	loop_until_bit_is_clear(PINB, PINB0);
	loop_until_bit_is_set(PINB, PINB0);		//2.Startbit abwarten
	timer0_source(CK256);
	timer0_start();
	while(inp(TCNT0) < ir_delay);
	timer0_stop();
//	for(dummy=0; dummy<11; dummy++)
	while (1);
	{	
		timer0_source(CK256);
		timer0_start();
		while(inp(TCNT0) < ir_delay);
		timer0_stop();
		dummy1 = bit_is_set(PINB, PINB0);
		timer0_source(CK256);
		timer0_start();
		while(1)
		{
			if(inp(TCNT0) > ir_delay)		//die Zeit ist um, Fehler
			{
				sendstring(byte_to_hex(tmp));
				new_line();
				timer0_stop();
				return 0;
			}
			if (dummy1)
			{	if(bit_is_clear(PINB, PINB0))
				{	clc();
					rol(tmp);
					break;
				}
			}
			else
			{	if(bit_is_set(PINB, PINB0))
				{	sec();
					rol(tmp);
					break;
				}
			}
		}
		timer0_stop();
	}
//	outb(1<<INTF0,GIFR);	//Demand-Int erzeugen
	timer0_stop();
	sendstring("OK!");
	sendstring(byte_to_hex(tmp));
	return tmp; 
}
