#include <io.h>
#include "my_defs.h"
#include "ide.h"
#include "tools.h"
#include "serial.h"

void inline ide_init( void)
{
//	cbi(PORTD, IDE_RESET);
	delay_ms(200);
	sbi(PORTD, IDE_RESET);
}
#if DEBUG == TRUE
void dump_ide_reg( void)
{
	sendstring( "DL:");
	sendstring( byte_to_hex(*CB_DATA) );

	sendstring( " DH:");
	sendstring( byte_to_hex(*DATA_H) );

	sendstring( " AST:");
	sendstring( byte_to_hex(*CB_ASTAT) );

	sendstring(" ST:");
	sendstring( byte_to_hex(*CB_STAT) );

	sendstring(" ER:");
	sendstring( byte_to_hex(*CB_ERR) );

	sendstring(" FR:");
	sendstring( byte_to_hex(*CB_FR) );

	sendstring(" SC:");
	sendstring( byte_to_hex(*CB_SC) );

	sendstring(" SN:");
	sendstring( byte_to_hex(*CB_SN) );

	sendstring(" CL:");
	sendstring( byte_to_hex(*CB_CL) );

	sendstring(" CH:");
	sendstring( byte_to_hex(*CB_CH) );

	sendstring(" DH:");
	sendstring( byte_to_hex(*CB_DH) );
	new_line();

}
#endif
