#ifndef _LCD_H
#define _LCD_H

#define	LCD_CMD		(volatile unsigned char *)0xE000
#define	LCD_DATA	(volatile unsigned char *)0xF000

#define LCD_COMMAND_CLS 	0x01		// LCD Lschen
#define LCD_COMMAND_HOME 	0x02		// LCD Home
#define LCD_COMMAND_SHIFT_LEFT	0x18		// LCD Scrollen (Links)
#define LCD_COMMAND_SHIFT_RIGHT	0x1c		// LCD Scrollen (Rechts)
#define LCD_COMMAND_LINE1	0x80		// LCD Linie 1
#define LCD_COMMAND_LINE2	0xc0		// LCD Linie 2
#define LCD_COMMAND_LINE3	0x94		// LCD Linie 3
#define LCD_COMMAND_LINE4	0xd4		// LCD Linie 4
#define LCD_COMMAND_OFF	0x08		// LCD Aus
#define LCD_COMMAND_ON	0x0c		// LCD Ein

#define	INFINITY	       	0xF3

extern void lcd_command( unsigned char);
//extern void lcd_print( unsigned char *string);
extern void lcd_nprint( unsigned char *string,unsigned char count);
extern void lcd_nprint_( unsigned char *string,unsigned char count);
extern void lcd_init( void);
void lcd (unsigned char x);
#endif
